Foros del Web » Programando para Internet » PHP » Configuración PHP »

holasss ayudaaaa urgente

Estas en el tema de holasss ayudaaaa urgente en el foro de Configuración PHP en Foros del Web. tengo problemas para instalar el php5 en mi pc , tengo el xp , segun el manual de instalacion dice q tengo q copiar los ...
  #1 (permalink)  
Antiguo 27/03/2010, 20:07
 
Fecha de Ingreso: marzo-2010
Mensajes: 3
Antigüedad: 11 años, 5 meses
Puntos: 0
holasss ayudaaaa urgente

tengo problemas para instalar el php5 en mi pc , tengo el xp , segun el manual de instalacion dice q tengo q copiar los archivos DLL de la carpeta principal a la carpeta del sistem 32 , pero no hay ninguno de esos archivos , quisiera saber cuales son los archivos q tengo q pegar a la carpeta sistem32 si me pudieran decir los nombres detalladamente para poder lograr instalar el php5 se los agradecere mucho.

Última edición por GatorV; 28/03/2010 a las 00:02
  #2 (permalink)  
Antiguo 28/03/2010, 02:12
Avatar de Megalonix  
Fecha de Ingreso: marzo-2010
Mensajes: 12
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

Hola , dime que version exactamente del php estas instalando y de que ano es la guia de donde te estas ayudando.

PD:instalaste el apache server primero?

Salu2.
  #3 (permalink)  
Antiguo 28/03/2010, 07:57
 
Fecha de Ingreso: marzo-2010
Mensajes: 3
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

este es el pakete q me baje de la misma pagina del manual PHP 5.0.3 zip package [7,433Kb]. , tambien instale el apache server primero, bueno esta es la direccion del manual q me sirvio para instalar el apache primero http://www.maestrosdelweb.com/editorial/phpmysqlap/ ahi esta toda la explicacion , dice lo q se hace pa instalar el php5 pero no encuentro los archivos dll , espero me ayudes a lograr instalar el php mil gracias atte shadork
  #4 (permalink)  
Antiguo 28/03/2010, 17:49
Avatar de Megalonix  
Fecha de Ingreso: marzo-2010
Mensajes: 12
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

1) Bueno primero que nada bajate la ultima version del php que es la 5.3.2 :

http://windows.php.net/downloads/releases/php-5.3.2-Win32-VC6-x86.zip

y tambien la ultima version del apache que es la 2.2.15 e instalalo:

http://apache.securedservers.com/httpd/binaries/win32/httpd-2.2.15-win32-x86-no_ssl.msi

2) Descomprime el php 5.3.2 en c:/php. Create esa carpeta si no la tienes.

3)Modifica tu archivo php.ini con los parametros adecuados. Habilitando las extensiones necesarias e indicando el directorio con las extensiones de php , algo como esto:

display_errors = On

extension_dir = "C:/PHP/ext/"

extension=php_gd2.dll

extension=php_mbstring.dll

extension=php_mysql.dll

extension=php_mysqli.dll

session.save_path = "c:/PHP/tmp" ---> crear la carpeta tmp

Esos son los parametros que modifique , "descomentandolos" y agregando el path segun sea el caso.

De todas formas si no te funciona o crees que estas haciendo algo mal aca te dejo mi archivo php.ini:

http://www.mediafire.com/?zumefg5itjy

4)Modifica el archivo httpd.conf del apache para que el php trabaje como modulo , tres parametros :

a.-

# Example:
# LoadModule foo_module modules/mod_foo.so
#
PHPIniDir "C:/php"
LoadModule php5_module "c:/php/php5apache2_2.dll"
...

b.-

<IfModule dir_module>

</IfModule>
DirectoryIndex index.php index.html index.htm

c.-

<IfModule mime_module>
...
AddType application/x-httpd-php .php
AddType application/x-httpd-php .php3
AddType application/x-httpd-php .php4
</IfModule>

De todas formas si no te funciona o crees que estas haciendo algo mal aca te dejo mi archivo httpd.conf:

http://www.mediafire.com/?qqjhzyeaymm

Bueno eso son los pasos que realize en mi computadora , en ningun momento copiee los dll y todo me funciona de maravillas.

PD:Esa guia que indicas es un poco antigua .

Salu2.

Última edición por Megalonix; 29/03/2010 a las 00:13
  #5 (permalink)  
Antiguo 30/03/2010, 04:44
 
Fecha de Ingreso: marzo-2010
Mensajes: 3
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

Creo que el problema es que cuando ejecutes el instalador, tienes que hacerlo con el click derecho y picar donde dice "ejecutar como administrador". Seguido a eso fíjate si no está restringido por windows en el firewall. Suerte!
  #6 (permalink)  
Antiguo 30/03/2010, 12:24
 
Fecha de Ingreso: marzo-2010
Mensajes: 3
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

weno ya ta todo instalado y modificado ahora como lo uso si no hay ningun ejecutable
  #7 (permalink)  
Antiguo 30/03/2010, 13:07
Avatar de Megalonix  
Fecha de Ingreso: marzo-2010
Mensajes: 12
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

Te explico un poco , lo que has realizado es la instalacion de php como modulo apache , es decir no es un programa que puedas ejecutar sino que te sirve para que tu servidor , en este caso apache , pueda interpretar el codigo php , que es un lenguaje script , y mostrar en la maquina del cliente el resultado en html mediante un browser ie8 , firefox , google chrome o lo que fuera.

Lo comun para saber si el php esta correctamente instalado en apache es crear un archivo , de cualquier nombre aunque de preferencia llamalo phpinfo.php , en tu htdocs y escribes lo siguiente:

Código PHP:
<?php
phpinfo
();
?>
Para visualizar el resultado escribe lo siguiente en tu browser:

Código:
http://localhost/phpinfo.php
Si logras ver unas tablas con la descripcion de los parametros del php quiere decir que la instalacion fue exitosa y estas listo para escribar tus scripts en php.Estos scripts los puedes realizar en un editor de texto como notepad o notepad++ o de preferencia en un IDE para que te ayude con la sintaxis y depuracion de codigo.

Te recomiendo el phpDesigner en su version 7.0 o 7.1.

Salu2

Última edición por Megalonix; 30/03/2010 a las 13:19
  #8 (permalink)  
Antiguo 31/03/2010, 03:07
Avatar de netovs  
Fecha de Ingreso: enero-2010
Ubicación: Mexico DF
Mensajes: 150
Antigüedad: 11 años, 8 meses
Puntos: 9
Respuesta: holasss ayudaaaa urgente

Saludos, lo están haciendo a la antigua... muy antigua...
Busquen el XAMPP ese ya trae todo instalado. APACHE , PHP, MySQL, PEAR, etc...

Para que conserven su salud mental con Windows
el link es: http://www.apachefriends.org/es/xampp.html
  #9 (permalink)  
Antiguo 31/03/2010, 12:38
Avatar de Megalonix  
Fecha de Ingreso: marzo-2010
Mensajes: 12
Antigüedad: 11 años, 5 meses
Puntos: 0
Respuesta: holasss ayudaaaa urgente

Cita:
Iniciado por netovs Ver Mensaje
Saludos, lo están haciendo a la antigua... muy antigua...
Busquen el XAMPP ese ya trae todo instalado. APACHE , PHP, MySQL, PEAR, etc...

Para que conserven su salud mental con Windows
el link es: http://www.apachefriends.org/es/xampp.html
Bueno no creo que seas el unico que sepa acerca de esos productos pero este thread es para la configuracion del php como modulo apache y no la instalacion de paquetes que te ayuden a configurar todo.

Salu2
  #10 (permalink)  
Antiguo 22/05/2010, 20:09
 
Fecha de Ingreso: abril-2003
Mensajes: 1.129
Antigüedad: 18 años, 5 meses
Puntos: 34
Respuesta: holasss ayudaaaa urgente

Perdón que reflote este post, pero es más o menos lo que no logro hacer...

¿Cómo debo hacer para que el PHP 5.3.2 corra con el último XAMPP que por defecto trae el PHP 5.3.1 el cuál tiene bugs que hacen que por ejemplo Mediawiki no se pueda instalar...
__________________
elGastronomo

Etiquetas: Ninguno
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 08:29.